package com.ebaiyihui.family.doctor.server.controller;

import com.ebaiyihui.family.doctor.common.dto.OrderDetailResDTO;
import com.ebaiyihui.family.doctor.common.dto.OrderListReqDTO;
import com.ebaiyihui.family.doctor.common.vo.OrderDetailsResVo;
import com.ebaiyihui.family.doctor.common.vo.OrderListResVo;
import com.ebaiyihui.family.doctor.server.service.OrderManagementService;
import com.ebaiyihui.family.doctor.server.util.PageUtil;
import com.ebaiyihui.framework.response.BaseResponse;
import io.swagger.annotations.Api;
import io.swagger.annotations.ApiOperation;
import lombok.extern.slf4j.Slf4j;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.web.bind.annotation.*;

/**
 * 问诊订单管理
 */
@Slf4j
@RestController
@RequestMapping("/singOrder")
@Api(tags = "家庭医生订单管理API")
public class OrderManagementController {

    @Autowired
    private OrderManagementService orderManagementService;


    @ApiOperation("管理端订单列表")
    @PostMapping("/v1/orderList")
    public BaseResponse<PageUtil<OrderListResVo>> orderList(@RequestBody OrderListReqDTO param) {
        return orderManagementService.orderList(param);
    }

    @ApiOperation("管理端订单详情")
    @PostMapping("/v1/getOrderDetails")
    public BaseResponse<OrderDetailsResVo> getOrderDetails(@RequestBody OrderDetailResDTO param) {
        return orderManagementService.getOrderDetails(param);
    }

}
